/*
 * Copyright (C) 2015 Canonical Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Jussi Pakkanen <jussi.pakkanen@canonical.com>
 */

#pragma once

#define PROJECT_BINARY_DIR "@CMAKE_BINARY_DIR@"

#define TESTDATADIR "@TESTDATADIR@"

#define TESTSRCDIR "@CMAKE_CURRENT_SOURCE_DIR@"
#define TESTBINDIR "@CMAKE_CURRENT_BINARY_DIR@"

#define GSETTINGS_SCHEMA_DIR "@CMAKE_BINARY_DIR@/data"

#define THUMBNAILER_SERVICE "@CMAKE_BINARY_DIR@/src/service/thumbnailer-service"
#define FAKE_ART_SERVER "@CMAKE_CURRENT_SOURCE_DIR@/server/server.py"

#define THUMBNAILER_ADMIN "@CMAKE_BINARY_DIR@/src/thumbnailer-admin/lomiri-thumbnailer-admin"
